Name:           qgit
Version:        1.5.5
Release:        2%{?dist}
Summary:        QGit is a git GUI repository browser

Group:          Development/Tools
License:        GPL
URL:            http://digilander.libero.it/mcostalba/
Source0:        http://dl.sourceforge.net/qgit/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}48d.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils, qt-devel
Requires:       git-core >= 1.4.0

%description
With qgit you are able to browse revisions history, view patch content
and changed files, graphically following different development branches.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        %{SOURCE1}

install -m 0644 -p -D %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc COPYING README ChangeLog
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Apr  9 2007 Dan Horak <dan[at]danny.cz> 1.5.5-2
- added an icon for the desktop file

* Sun Feb 25 2007 Dan Horak <dan[at]danny.cz> 1.5.5-1
- update to upstream version 1.5.5

* Fri Dec 29 2006 Dan Horak <dan[at]danny.cz> 1.5.4-1
- update to upstream version 1.5.4

* Sat Nov 11 2006 Dan Horak <dan[at]danny.cz> 1.5.3-1
- update to upstream version 1.5.3

* Sat Sep 30 2006 Dan Horak <dan[at]danny.cz> 1.5.2-1
- update to upstream version 1.5.2

* Tue Sep 12 2006 Dan Horak <dan[at]danny.cz> 1.5.1-1
- update to upstream version 1.5.1

* Sat Sep  9 2006 Dan Horak <dan[at]danny.cz> 1.5-1
- update to upstream version 1.5

* Fri Sep  1 2006 Dan Horak <dan[at]danny.cz> 1.4-3
- rebuild for FC6

* Sun Jul 16 2006 Dan Horak <dan@danny.cz> 1.4-2
- remove the patch also from the spec file

* Sun Jul 16 2006 Dan Horak <dan@danny.cz> 1.4-1
- update to upstream version 1.4
- remove the patch as upstream reverted the linking behaviour
- requires git-core >= 1.4.0

* Sun Jun 11 2006 Dan Horak <dan@danny.cz> 1.3-2
- added patch for creating of usable debug package (#194782)

* Mon Jun 05 2006 Dan Horak <dan@danny.cz> 1.3-1
- update to upstream version 1.3

* Sat Apr 29 2006 Dan Horak <dan@danny.cz> 1.2-1
- update to upstream version 1.2

* Sun Mar 19 2006 Dan Horak <dan@danny.cz> 1.1.1-1
- update to upstream version 1.1.1

* Tue Mar  7 2006 Dan Horak <dan@danny.cz> 1.1-2
- change requires from git to git-core only

* Sun Feb 19 2006 Dan Horak <dan@danny.cz> 1.1-1
- updated to upstream version 1.1
- fixed download URL for Source0 from sourceforge.net
- requires git >= 1.2.0

* Sat Feb 11 2006 Dan Horak <dan@danny.cz> 1.1-0.1.rc3.3
- added docs

* Sat Feb 11 2006 Dan Horak <dan@danny.cz> 1.1-0.1.rc3.2
- added desktop file

* Wed Feb  8 2006 Dan Horak <dan@danny.cz> 1.1-0.1.rc3.1
- first version
